package com.company.testapp.entity;

import io.jmix.core.metamodel.datatype.EnumClass;
import org.springframework.lang.Nullable;


public enum FoodType implements EnumClass<String> {

    VEG("Veg"),
    EGG("Egg"),
    NON_VEG("NonVeg");

    private final String id;

    FoodType(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static FoodType fromId(String id) {
        for (FoodType at : FoodType.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}